#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kauth
Version		:	5.107.0
Release		:	14.8.0.0%{?dist}
Summary		:	KDE Execute actions as privileged user

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	kcoreaddons
BuildRequires	:	kwindowsystem
BuildRequires	:	polkit-qt
#-----------------------------------------------------------------------------
%description
Auth provides a convenient, system-integrated way to offload actions that need
to be performed as a privileged user (root, for example) to small (hopefully
secure) helper utilities.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..
cmake .
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_includedir}/KF5/KAuth/*
%{_includedir}/KF5/KAuthCore/kauth/*.h
%{_includedir}/KF5/KAuthCore/KAuth/*
%{_includedir}/KF5/KAuthWidgets/KAuth/*
%{_includedir}/KF5/KAuthWidgets/kauth/*.h
%{_libdir}/libexec/%{name}/%{name}-policy-gen
%{_libdir}/cmake/KF5Auth/*.cmake
%{_libdir}/libKF5Auth.so*
%{_libdir}/libKF5AuthCore.so*
%{_datadir}/kf5/%{name}/dbus_*.stub
%{_datadir}/plugins/%{name}/{backend,helper}/%{name}_*_plugin.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/dbus-1/system.d/org.kde.kf5auth.conf
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
